This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 603699 - libtiff: TIFFFieldWithTag assertion failure
libtiff: TIFFFieldWithTag assertion failure
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libtiff (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Tom Lane
Ondrej Moriš
:
Depends On:
Blocks: 1148869 CVE-2010-2631 1148870
  Show dependency treegraph
 
Reported: 2010-06-14 07:49 EDT by Tomas Hoger
Modified: 2015-06-01 08:41 EDT (History)
4 users (show)

See Also:
Fixed In Version: libtiff-3.9.4-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1148869 1148870 (view as bug list)
Environment:
Last Closed: 2010-11-10 16:04:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 592637 None None None Never

  None (edit)
Description Tomas Hoger 2010-06-14 07:49:29 EDT
Description of problem:
Yet another "crasher" from Sauli Pahlman reported in Launchpad:
  https://bugs.launchpad.net/bugs/592637

Unknown tag can cause libtiff to abort program execution in tif_dirinfo.c _TIFFFieldWithTag (or _TIFFFieldWithName) due to failed assertion failure.  This can be tested with e.g. tiff2rgba on the test image file.

Version-Release number of selected component (if applicable):
libtiff-3.9.2-3.el6.i686

Additional info:
This issue does not affect libtiff in RHEL-3/4/5.  Even though problematic assert is part of upstream sources of older libtiff versions, it was removed from RHEL packages via libtiff-*-ormandy.patch added in RHSA-2006:0603 (see bug #199111).

Removing assert causes libtiff to try to deref NULL on multiple places.
Comment 3 RHEL Product and Program Management 2010-06-14 08:03:29 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 4 Tom Lane 2010-06-14 11:33:39 EDT
This turns out to be already fixed in my local copy of 3.9.2, as a result of the patch I submitted for our bug #554371 (see http://bugzilla.maptools.org/show_bug.cgi?id=2210).  I haven't tested yet to see if it affects 3.8 or before.
Comment 5 Tomas Hoger 2010-06-15 06:40:01 EDT
There's not assert abort with libtiff-unknown-tags.patch applied.
Comment 6 Tomas Hoger 2010-06-22 03:18:21 EDT
Making this public, as there is public upstream bug for the issue.
Comment 8 Vincent Danen 2010-07-06 10:56:19 EDT
This was assigned the name CVE-2010-2481.
Comment 9 Tomas Hoger 2010-07-06 15:21:01 EDT
(In reply to comment #8)
> This was assigned the name CVE-2010-2481.    

Actually, this should be a crash described as CVE-2010-2631.
Comment 12 releng-rhel@redhat.com 2010-11-10 16:04:40 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.